<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@android:color/white"
    tools:context=".main.ui.activity.VCoinRechargeActivity">
    <!--    标题栏-->
    <include
        android:id="@+id/header_title_view"
        layout="@layout/common_title_view" />

    <com.vivo.unionpay.embedded.pay.core.customview.CompatibilityScrollView
        android:id="@+id/scroll_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/header_title_view"
        android:layout_marginBottom="@dimen/dp68"
        android:scrollbars="none">

        <LinearLayout
            android:id="@+id/v_coin_recharge_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp20"
            android:layout_marginEnd="@dimen/dp20"
            android:orientation="vertical">

            <com.vivo.unionpay.embedded.pay.core.customview.RobotoMediumTextView
                android:id="@+id/tv_account_info"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp9"
                android:text="@string/vivo_pay_vcoin_account_info"
                android:textColor="@android:color/black"
                android:textSize="@dimen/sp15" />

            <TextView
                android:id="@+id/tv_v_coin_recharge_ration_tip"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp8"
                android:text="@string/vivo_pay_vcoin_recharge_ration_tip"
                android:textColor="@color/vivo_pay_checkout_tax_mark_text_color"
                android:textSize="@dimen/sp14" />

            <com.vivo.unionpay.embedded.pay.core.customview.NoScrollGridView
                android:id="@+id/grid_view"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp20"
                android:horizontalSpacing="@dimen/dp8"
                android:listSelector="@android:color/transparent"
                android:numColumns="3"
                android:verticalSpacing="@dimen/dp8" />

            <TextView
                android:id="@+id/tv_ext_tip"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp20"
                android:text="@string/vivo_pay_vcoin_use_scenario_description"
                android:textColor="@color/vivo_pay_checkout_tax_mark_text_color"
                android:textSize="@dimen/sp12" />

        </LinearLayout>

    </com.vivo.unionpay.embedded.pay.core.customview.CompatibilityScrollView>


    <View
        android:id="@+id/bottom_line_view"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp1"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="@dimen/dp68"
        android:background="@color/vivo_pay_title_line_color"
        android:visibility="invisible" />

    <TextView
        android:id="@+id/btn_submission_of_recharge"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp36"
        android:layout_alignParentBottom="true"
        android:layout_marginStart="@dimen/dp20"
        android:layout_marginEnd="@dimen/dp20"
        android:layout_marginBottom="@dimen/dp36"
        android:background="@drawable/vivo_common_blue_bg"
        android:gravity="center"
        android:text="@string/vivo_pay_vcoin_recharge_amount_submit"
        android:textColor="@android:color/white"
        android:textSize="@dimen/sp14" />


    <com.vivo.unionpay.embedded.pay.core.customview.LoadingView
        android:id="@+id/loading_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/header_title_view" />


</RelativeLayout>